<bugID>1087502<Summary>Incorrect "Any Country" tiles shown for fr-FR</Summary><Description>alexis/natim, both of you are seeing "Any Country" and you say your locale is fr-FR. Did you install a fr-FR build of alder or the en-US? The Firefox UI seems to be in english.</Description></bugID>